Subject: CheckBoxViewHelper hidden value creates extra data when using multi-valued field names
Description

In fluid 1.2.0

When creating multiple edit grids (in tables for examples)  I use the following syntax to retrieve an array of values to update in my form
:

<ul>
  <f:for each="{articles}" as="article">
    <li>  
     <f:form.checkbox name="articles[]" value="{article.uid}" />
    </li>
  </f:for>
</ul>

But the new hidden field created to manage empty values actually adds a new entry in the articles array I receive.

This is a regression form previous versions of fluid.

The actual hidden field solution is only valid if uses with mono-valued fields.

Associated revisions
Revision b71ce346 - 2010-07-19 22:55 - Bastian Waidelich

[+BUGFIX] Fluid (ViewHelpers): Now, it is possible to "unselect" checkboxes and multiselect fields in editing forms. This fixes #5638. This fixes #8535.
This fixes #6897 (improved forwardport from Fluid extension r2346)

History
#1 - 2010-07-13 18:25 - Bastian Waidelich
- Project changed from Extbase MVC Framework to TYPO3.Fluid
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich

#2 - 2010-07-19 23:00 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r4874.
